package com.example.dao.gdc;

import com.example.config.mybatis.ex.method.ExBaseMapper;
import com.example.pojo.gdc.WzBuildManageDetailsEntity;
import com.example.pojo.gdc.vo.BuildManageVo;
import com.example.pojo.gdc.vo.housemanager.LeaveUseVo;
import com.example.pojo.gdc.vo.housemanager.WzBuildmanageAvageareaVo;
import com.example.utils.Query;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface WzBuildManageDetailsDao extends ExBaseMapper<WzBuildManageDetailsEntity> {

     List<WzBuildmanageAvageareaVo> queryVoList(Map<String, Object> map);

     List<LeaveUseVo> queryLeaveUseList(Map<String, Object> map);

    List<String> getBuildingNameAlias(Map<String, Object> map);

    List<String> getBuildingNameCode(Map<String, Object> map);

    BuildManageVo queryCityAreaByCode(Map<String, Object> query);

    String getLastStaticMonth(Map<String, Object> query);

    String getLastStaticMonth1(Query query);

    int getBuildingNameAliasTotal(Query query);

    int queryBuildDetailByCodeTotal(Query query);

    String getLastStaticMonth2(Query query);
}
