package com.example.pojo.po.house;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class ListRentInComparePo {
    /**
     * 二级组织机构名称
     */
    private String areaName;

    /**
     * 三级组织机构名称
     */
    private String cityName;

    /**
     * 使用专业线
     */
    private String field;

    /**
     * 租入实际用途
     */
    private String useType;

    /**
     * 租入其他用途说明
     */
    private String useDescription;

    /**
     * 城市区域
     */
    private String cityRegion;

    /**
     * 地段
     */
    private String areaSector;

    /**
     * 合同总金额(含税)(元)
     */
    private BigDecimal grossAmount;

    /**
     * 租入建筑面积(平米)
     */
    private BigDecimal buildingArea;

    /**
     * 租期年
     */
    private BigDecimal rentYears;

    /**
     * 每平米单价
     */
    private BigDecimal unitPrice;

    /**
     * 分用途全省平均值
     */
    private BigDecimal unitPriceAvg;

    /**
     * 每平米单价与全省单价平均值比较
     */
    private BigDecimal unitPriceCompare;

    /**
     * 合同编号
     */
    private String contractNo;

    /**
     * 合同名称
     */
    private String contractName;
}
