package com.example.dao.gdc;

import com.example.config.mybatis.ex.method.ExBaseMapper;
import com.example.pojo.gdc.WzLandManageDetailsEntity;
import com.example.pojo.gdc.vo.floormanager.FloorNoUserVo;
import com.example.pojo.gdc.vo.housemanager.WzBuildmanageAvageareaVo;
import com.example.utils.Query;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface WzLandManageDetailsDao extends ExBaseMapper<WzLandManageDetailsEntity> {

     List<WzBuildmanageAvageareaVo> queryVoList(Map<String, Object> map);

     List<FloorNoUserVo> queryLeaveUseList(Map<String, Object> map);

    List<String> getBuildingNameAlias(Map<String, Object> map);

    List<String> getBuildingNameCode(Map<String, Object> map);

    int getBuildingNameAliasTotal(Query query);

    int queryBuildingNameCodeTotal(Query query);
}
