package com.example.service.gdc.impl;

import com.example.dao.gdc.WzDataInspectionDao;
import com.example.pojo.gdc.OtnAreaEntity;
import com.example.pojo.gdc.WzDataInspectionEntity;
import com.example.service.gdc.WzDataInspectionService;
import com.example.service.gdc.WzOtnAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class WzDataInspectionServiceImpl implements WzDataInspectionService {

    @Autowired
    private WzDataInspectionDao wzDataInspectionDao;
    @Autowired
    private WzOtnAreaService otnAreaService;

    @Override
    public List<WzDataInspectionEntity> queryList(Map<String, Object> map) {
        dealMap(map);
        return wzDataInspectionDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        dealMap(map);
        return wzDataInspectionDao.queryTotal(map);
    }

    public void dealMap(Map<String, Object> map){
        if(map.get("city")!=null&&!map.get("city").toString().equals("全省")&&!map.get("city").toString().equals("")){
            OtnAreaEntity city = otnAreaService.queryObjectById(map.get("city").toString());
            map.put("city",city.getName());
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("全省")){
            map.remove("city");
        }
        if(map.get("city")!=null&&map.get("city").toString().equals("")){
            map.remove("city");
        }
        if(map.get("statisticalMonth")!=null&&!map.get("statisticalMonth").toString().equals("")&&!map.get("statisticalMonth").toString().equals("账期")){
            map.put("statisticalMonth",Integer.valueOf(map.get("statisticalMonth").toString()));
        }else{
            map.remove("statisticalMonth");
        }
    }

}
